Subject: Re: bug#12596: 24.2.50; when draging on the frame's edge to change its height the frame moves

From: Jan Djärv <[email-masked]>
Date: Sun, 7 Oct 2012 18:44:13 +0200

Hello.

I can't reproduce this (not that I know what a "marked edge" is, but I guess you men the frame upper and lower edge).  Resize works as it should.
I compiled with your options.

	Jan D.

7 okt 2012 kl. 17:49 skrev Peter Dyballa <[email-masked]>:

> Hello!
> 
> When I drag at the marked edge of the frame to make it larger or shorter in height, the whole frame is dragged over the screen when it refreshes. This effect does not happen when I change the frame's width. It happens with and without customisation (-Q).
> 
> In GNU Emacs 24.2.50.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
> of 2012-10-07 on Sumac.local
> Bzr revision: 110380 [email-masked]
> Windowing system distributor `Apple', version 10.3.1038
> Configured using:
> `configure '--with-wide-int' '--without-pop' '--without-sound'
> '--without-gpm' '--without-dbus' '--without-selinux' '--with-ns'
> '--disable-ns-self-contained' '--without-xpm' '--without-jpeg'
> '--without-tiff' '--without-gif' '--without-png' '--without-rsvg'
> '--x-libraries=/opt/local/lib' '--x-includes=/opt/local/include'
> '--enable-locallisppath=/Library/Application
> Support/Emacs/calendar24:/Library/Application Support/Emacs' 'CFLAGS=-g
> -H -pipe -fPIC -fno-common -Os -march=core2 -mtune=core2
> -fomit-frame-pointer -msse4.2' 'LDFLAGS=-L/opt/local/lib
> -Wl,-dead_strip_dylibs -Wl,-bind_at_load -Wl,-t'
> 'CPPFLAGS=-I/opt/local/include' 'CC=clang' 'CXX=clang++'
> 'PKG_CONFIG_PATH=/usr/lib/pkgconfig:/opt/local/lib/pkgconfig:/opt/local/share/pkgconfig''
> 
> Important settings:
>  value of $LC_CTYPE: de_DE.UTF-8
>  value of $LANG: de_DE.UTF-8
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: Info
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  buffer-read-only: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> <down-mouse-1> <mouse-1> C-h i m e m a c s <return> 
> C-s e n u <help-echo> <return> <help-echo> <menu-bar> 
> <help-menu> <send-emacs-bug-report>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Composing main Info directory...done
> Mark saved where search started
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils misearch multi-isearch info easymenu time-date
> tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
> fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face macroexp files text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)
> 
> --
> Mit friedvollen Grüßen
> 
>  Pete
> 
> Isn't vi that text editor with two modes... one that beeps and one that corrupts your file?
> 				– Dan Jacobson, on comp.os.linux.advocacy
> 
> 
>